[user]
  name = Barak Michener
  email = me@barakmich.com

[alias] 
  br = branch -a -v
  st = status -uno
  stat = status -uno
  ci = commit
  co = checkout
  w = whatchanged
  revert = checkout -f
  stagediff = diff --staged
  sdiff = diff --staged
  graph = log --graph --oneline
  submodule-pull = submodule foreach git pull 
  ours   = "!f() { git checkout --ours $@ && git add $@; }; f"
  theirs = "!f() { git checkout --theirs $@ && git add $@; }; f"
  praise = blame
  hist = show-branch -a
  undo-last = reset HEAD^

[diff]  
  renamelimit = 0

[merge]
  conflictstyle = diff3

[color] 
  diff = auto
  interactive = auto
  status = auto
  branch = auto

[core]
  autocrlf = input
;[push]
	;default = simple
[push]
	default = current
[rerere]
	enabled = true

[url "git@github.com:"]
  insteadOf = https://github.com

[url "git@git.barakmich.com:"]
  insteadOf = https://git.barakmich.com
[pull]
	ff = only
[init]
	defaultBranch = main
